SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Multimedia)  >   Adobe Flash Player Vendors:   Adobe Systems Incorporated
Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code and Obtain Potentially Sensitive Information
SecurityTracker Alert ID:  1031525
SecurityTracker URL:  http://securitytracker.com/id/1031525
CVE Reference:   CVE-2015-0301, CVE-2015-0302, CVE-2015-0303, CVE-2015-0304, CVE-2015-0305, CVE-2015-0306, CVE-2015-0307, CVE-2015-0308, CVE-2015-0309   (Links to External Site)
Date:  Jan 13 2015
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Multiple vulnerabilities were reported in Adobe Flash Player. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can obtain potentially sensitive information.

A remote user can create specially crafted Flash content that, when loaded by the target user, will execute arbitrary code on the target user's system.

Memory corruption flaws may occur [CVE-2015-0303, CVE-2015-0306].

Heap overflows may occur [CVE-2015-0304, CVE-2015-0309].

A type confusion flaw may occur [CVE-2015-0305].

A use-after-free memory error may occur [CVE-2015-0308].

A remote user can trigger out-of-bounds memory read error to obtain memory addresses [CVE-2015-0307].

A remote user can trigger an improper file validation flaw [CVE-2015-0301]. The impact was not specified.

A remote user can capture keystrokes on the target system [CVE-2015-0302].

Xiaoning Li of Intel Labs and Haifei Li of McAfee Labs IPS Team, Tavis Ormandy and Chris Evans of Google Project Zero, bilou (via Verisign's iDefense Vulnerability Contributor Program), Natalie Silvanovich (via Google Project Zero), bilou (via HP's Zero Day Initiative), Fermin J. Serna of the Google Security Team, Chris Evans of Google Project Zero, and Yang Dingning (via Chromium Vulnerability Rewards Program) reported these vulnerabilities.

Impact:   A remote user can create a file that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can obtain potentially sensitive information, including keystrokes on the target system.

Solution:   The vendor has issued a fix (16.0.0.257 for Windows and Mac, ESR 13.0.0.260, 11.2.202.429 for Linux).

The vendor's advisory is available at:

http://helpx.adobe.com/security/products/flash-player/apsb15-01.html

Vendor URL:  helpx.adobe.com/security/products/flash-player/apsb15-01.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Linux (Any), UNIX (macOS/OS X), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jan 13 2015 (Microsoft Issues Fix for Internet Explorer) Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code and Obtain Potentially Sensitive Information
Microsoft has issued a fix for Internet Explorer 10 and 11.
Jan 14 2015 (Red Hat Issues Fix) Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code and Obtain Potentially Sensitive Information
Red Hat has issued a fix for Red Hat Enterprise Linux 5 and 6.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC